---
lang: en
title: 'API docs: rest.routeentry'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.routeentry.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RouteEntry](./rest.routeentry.md)

## RouteEntry interface

An entry in the routing table

<b>Signature:</b>

```typescript
export interface RouteEntry 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [path](./rest.routeentry.path.md) | <code>string</code> | http path |
|  [spec](./rest.routeentry.spec.md) | <code>OperationObject</code> | OpenAPI operation spec |
|  [verb](./rest.routeentry.verb.md) | <code>string</code> | http verb |

## Methods

|  Method | Description |
|  --- | --- |
|  [describe()](./rest.routeentry.describe.md) |  |
|  [invokeHandler(requestContext, args)](./rest.routeentry.invokehandler.md) | A handler to invoke the resolved controller method |
|  [updateBindings(requestContext)](./rest.routeentry.updatebindings.md) | Update bindings for the request context |


